.course-card {
  display: flex;
  flex-direction: column;
  padding: 20px;
  border: var(--border-standard);
  border-radius: 14px;
  background: var(--bg-dark-elements);
  backdrop-filter: blur(10px);
  box-shadow: var(--shadow-dark);
}

.image-box {
  overflow: hidden;
  margin-bottom: 12px;
  aspect-ratio: 16 / 9;
  border-radius: 14px;
}

.image-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: var(--image-filter);
}

.course-content {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.card-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 8px;
}

.badge {
  padding: 4px 10px;
  border-radius: 8px;
  color: var(--text-accent-blue);
  background: rgba(34,197,94,0.1);
  font-size: 12px;
  font-weight: 200;
}

.price {
  font-size: 16px;
  font-weight: 500;
}

.course-meta {
  display: flex;
  flex-direction: column;
  gap: 4px;
  margin-top: 15px;
  margin-bottom: 15px;
  color: var(--text-secondary);
  font-size: 15px;
}

 .course-meta i {
  margin: 0 8px;
  color: var(--text-accent-blue);
  font-size: 15px;
}

.course-description {
  margin-bottom: 20px;
  text-align: center;
  color: var(--text-muted);
  font-size: 14px;
  line-height: 1.2;
}

.course-footer {
  margin-top: auto;
  display: flex;
  justify-content: flex-end;
}

.card-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  min-width: max-content;
  line-height: 1;
  padding: 7px 16px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 15px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.card-button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .course-card {
    padding: 15px;
  }

  .badge {
    padding: 4px 8px;
    font-size: 11px;
  }

  .price {
    font-size: 15px;
    font-weight: 500;
  }

  .course-meta {
    font-size: 14px;
  }

  .course-meta i {
    font-size: 14px;
  }

  .course-description {
    font-size: 13px;
  }

  .card-button {
    font-size: 14px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .course-card {
    padding: 15px;
  }

  .badge {
    padding: 4px 8px;
    font-size: 11px;
  }

  .price {
    font-size: 15px;
  }

  .course-meta {
    font-size: 14px;
  }

  .course-meta i {
    font-size: 14px;
  }

  .course-description {
    font-size: 13px;
  }

  .card-button {
    font-size: 14px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .course-card {
    padding: 15px;
  }

  .badge {
    padding: 4px 8px;
    font-size: 11px;
  }

  .price {
    font-size: 15px;
  }

  .course-meta {
    font-size: 14px;
  }

  .course-meta i {
    font-size: 14px;
  }

  .course-description {
    font-size: 13px;
  }

  .card-button {
    font-size: 14px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {

}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .course-card {
    padding: 10px;
  }

  .badge {
    padding: 4px 6px;
    font-size: 10px;
  }

  .price {
    font-size: 14px;
  }

  .course-meta {
    font-size: 13px;
  }

  .course-meta i {
    font-size: 13px;
  }

  .course-description {
    font-size: 12px;
  }

  .card-button {
    font-size: 14px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .course-card {
    padding: 15px;
  }

  .badge {
    padding: 4px 8px;
  }

  .price {
    font-size: 15px;
  }

  .course-meta {
    font-size: 14px;
  }

 .course-meta i {
  font-size: 14px;
}

  .course-description {
    font-size: 13px;
  }

  .card-button {
    padding: 6px 15px;
    font-size: 14px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .course-card {
    padding: 30px;
  }

  .badge {
    padding: 6px 10px;
    font-size: 13px;
  }

  .price {
    font-size: 17px;
  }

  .course-meta {
    font-size: 15px;
  }

  .course-meta i {
    font-size: 15px;
  }

  .course-description {
    font-size: 14px;
  }

  .card-button {
    padding: 8px 17px;
    font-size: 15px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .course-card {
    padding: 20px;
  }

  .badge {
    padding: 6px 10px;
    font-size: 13px;
  }

  .price {
    font-size: 17px;
  }

  .course-meta {
    font-size: 15px;
  }

  .course-meta i {
    font-size: 15px;
  }

  .course-description {
    font-size: 14px;
  }

  .card-button {
    font-size: 15px;
  }
}